package com.ruoyi.project.training.newstaff.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 转岗培训对象 t_tn_transferplan
 *
 * @author ruoyi
 * @date 2023-07-05
 */
public class TTnTransferplan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 培训员工编号 */
    @Excel(name = "培训员工编号")
    private Long newId;

    /** 课程编号 */
    @Excel(name = "课程编号")
    private String courseCode;

    /** 培训主题 */
    @Excel(name = "培训主题")
    private String topic;

    /** 培训内容 */
    @Excel(name = "培训内容")
    private String content;

    /** 培训天 */
    @Excel(name = "培训天")
    private Long courseDay;

    /** 培训小时 */
    @Excel(name = "培训小时")
    private Long courseHour;

    /** 详细计划 */
    @Excel(name = "详细计划")
    private String detailPlan;

    /** 讲师 */
    @Excel(name = "讲师")
    private String trainer;

    /** 培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date courseDate;

    /** 考核情况 */
    @Excel(name = "考核情况")
    private String assess;

    /** 培训状态 */
    @Excel(name = "培训状态")
    private Long planStatus;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNewId(Long newId)
    {
        this.newId = newId;
    }

    public Long getNewId()
    {
        return newId;
    }
    public void setCourseCode(String courseCode)
    {
        this.courseCode = courseCode;
    }

    public String getCourseCode()
    {
        return courseCode;
    }
    public void setTopic(String topic)
    {
        this.topic = topic;
    }

    public String getTopic()
    {
        return topic;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setCourseDay(Long courseDay)
    {
        this.courseDay = courseDay;
    }

    public Long getCourseDay()
    {
        return courseDay;
    }
    public void setCourseHour(Long courseHour)
    {
        this.courseHour = courseHour;
    }

    public Long getCourseHour()
    {
        return courseHour;
    }
    public void setDetailPlan(String detailPlan)
    {
        this.detailPlan = detailPlan;
    }

    public String getDetailPlan()
    {
        return detailPlan;
    }
    public void setTrainer(String trainer)
    {
        this.trainer = trainer;
    }

    public String getTrainer()
    {
        return trainer;
    }
    public void setCourseDate(Date courseDate)
    {
        this.courseDate = courseDate;
    }

    public Date getCourseDate()
    {
        return courseDate;
    }
    public void setAssess(String assess)
    {
        this.assess = assess;
    }

    public String getAssess()
    {
        return assess;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getPlanStatus() {
        return planStatus;
    }

    public void setPlanStatus(Long planStatus) {
        this.planStatus = planStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("newId", getNewId())
            .append("courseCode", getCourseCode())
            .append("topic", getTopic())
            .append("content", getContent())
            .append("courseDay", getCourseDay())
            .append("courseHour", getCourseHour())
            .append("detailPlan", getDetailPlan())
            .append("trainer", getTrainer())
            .append("courseDate", getCourseDate())
            .append("assess", getAssess())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
